import { AbstractControl, ValidationErrors } from '@angular/forms';
export declare function emailValidator(control: AbstractControl): ValidationErrors | null;
export declare function dateRangeValidator(control: AbstractControl): ValidationErrors | null;
export declare function registerValidator(control: AbstractControl, type: string): ValidationErrors | null;
export declare function dateStartEndValidator(control: AbstractControl): ValidationErrors | null;
export declare function urlValidator(control: AbstractControl): ValidationErrors | null;
export declare function passwordConfirmValidator(control: AbstractControl): ValidationErrors | null;
export declare function trueValidator(control: AbstractControl): ValidationErrors | null;
export declare function comboValidator(control: AbstractControl): ValidationErrors | null;
export declare function zipCodeValidator(control: AbstractControl, country?: string): ValidationErrors | null;
export declare function documentValidator(control: AbstractControl, country: string): ValidationErrors | null;
export declare function minYearsValidator(param: number, control: AbstractControl): ValidationErrors | null;
export declare function dateValidator(control: AbstractControl): ValidationErrors | null;
export declare function valueGreaterThanZero(control: AbstractControl): ValidationErrors | null;
export declare function requiredWithTrimValidator(control: AbstractControl): ValidationErrors | null;
export declare function differentFromZero(control: AbstractControl): ValidationErrors | null;
export declare function documentValidatorByType(type: string, control: AbstractControl): ValidationErrors | null;
export declare function validateFullName(control: AbstractControl): ValidationErrors | null;
export declare class Validators {
    static email(control: AbstractControl): ValidationErrors | null;
    static dateRange(control: AbstractControl): ValidationErrors | null;
    static unlockSponsorRegister(control: AbstractControl): ValidationErrors | null;
    static unlockBuyerRegister(control: AbstractControl): ValidationErrors | null;
    static dateStartEnd(control: AbstractControl): ValidationErrors | null;
    static url(control: AbstractControl): ValidationErrors | null;
    static passwordConfirm(control: AbstractControl): ValidationErrors | null;
    static true(control: AbstractControl): ValidationErrors | null;
    static combo(control: AbstractControl): ValidationErrors | null;
    static zipCode(control: AbstractControl): ValidationErrors | null;
    static zipCodeByCountry(country: string): (control: AbstractControl) => ValidationErrors | null;
    static documentBR(control: AbstractControl): ValidationErrors | null;
    static documentCL(control: AbstractControl): ValidationErrors | null;
    static documentMX(control: AbstractControl): ValidationErrors | null;
    static date(control: AbstractControl): ValidationErrors | null;
    static minYears(param: number): ValidationErrors | null;
    static greaterThanZero(control: AbstractControl): ValidationErrors | null;
    static required(control: AbstractControl): ValidationErrors | null;
    static differentFromZero(control: AbstractControl): ValidationErrors | null;
    static documentValidatorByType(type: string): (control: AbstractControl) => ValidationErrors | null;
    static validateFullName(control: AbstractControl): ValidationErrors | null;
}
